body {
    margin: 0;
    padding: 0;
}

#bank {
    position: fixed;
    display: none;
    width: 80%;
    height: 0%;
    left: 10%;
    top: 10%;
    background-color: var(--main-bg);
    transition: height 0.5s;
    overflow: hidden;
}

#bank-sidebar {
    position: absolute;
    top: 0%;
    left: 0%;
    width: 20%;
    height: 100%;
    background-color: var(--main-content);
}

#bank-info {
    position: absolute;
    top: 0%;
    left: 20%;
    width: 80%;
    height: 54em;
    overflow-y: scroll;
}

#bank-info::-webkit-scrollbar {
    width: 20px;
}
  
#bank-info::-webkit-scrollbar-track {
    display: none;
}
   
#bank-info::-webkit-scrollbar-thumb {
    background-color: var(--main-content);    
}
  
#bank-info::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

.bank-button {
    position: relative;
    width: 100%;
    height: 5em;
    background-color: rgba(0, 0, 0, 0.2);
    font-size: 1.5vh;
    border-style: solid;
    border-color: rgba(255, 255, 255, 0.2);
    outline: none;
    color: white;
    text-align: center;
    border-left: none;
    border-right: none;
    overflow: hidden;
}

#bank-account-info {
    position: relative;
    width: 80%;
    left: 10%;
    top: 5%;
    height: 15%;
    background-color: var(--main-content);    
    overflow: hidden;
}

#bank-account-name {
    position: absolute;
    left: 2%;
    width: 40%;
    height: 100%;
    color: white;
    font-size: 1.75vh;
    text-align: left;
    overflow: hidden;
}

#bank-account-type {
    position: absolute;
    left: 2%;
    top: 60%;
    width: 40%;
    height: 100%;
    color: white;
    font-size: 1.75vh;
    text-align: left;
    overflow: hidden;
}

#bank-account-balance {
    position: absolute;
    right: 2%;
    width: 40%;
    height: 100%;
    color: rgb(18, 204, 18);
    font-size: 2vh;
    text-align: right;
    overflow: hidden;
}

#bank-account-deposit {
    position: relative;
    width: 35%;
    float: left;
    left: 10%;
    top: 10%;
    height: 10%;
    background-color: var(--main-content);    
    overflow: hidden;
}

#bank-account-deposit-field {
    position: relative;
    width: 100%;
    height: 100%;
    color: white;
    font-size: 2vh;
    color: white;
    text-align: center;
    outline: none;
    border: none;
    resize: none;
    background: none;
    overflow: hidden;
}


#bank-account-deposit-field::-webkit-inner-spin-button {
    display: none;
}


#bank-account-withdraw {
    position: relative;
    width: 35%;
    float: right;
    right: 10%;
    top: 10%;
    height: 10%;
    background-color: var(--main-content);
    overflow: hidden;
}

#bank-account-withdraw-field {
    position: relative;
    width: 100%;
    height: 100%;
    color: white;
    font-size: 2vh;
    color: white;
    text-align: center;
    outline: none;
    border: none;
    resize: none;
    background: none;
    overflow: hidden;
}


#bank-account-withdraw-field::-webkit-inner-spin-button {
    display: none;
}

#bank-account-transfer-button {
    position: relative;
    width: 80%;
    float: left;
    left: 10%;
    top: 12.5%;
    height: 10%;
    background-color: var(--main-content);    
    overflow: hidden;
    border: none;
    outline: none;
    color: white;
    font-size: 1.5vh;
    border-style: solid;
    border-width: 2px;
    border-color: var(--main-lighter);
}

#bank-account-transfer {
    position: relative;
    width: 35%;
    float: left;
    left: 10%;
    top: 12.5%;
    height: 10%;
    background-color: var(--main-content);    
    overflow: hidden;
}

#bank-account-transfer-field {
    position: relative;
    width: 100%;
    height: 100%;
    color: white;
    font-size: 2vh;
    color: white;
    text-align: center;
    outline: none;
    border: none;
    resize: none;
    background: none;
    overflow: hidden;
}

#bank-account-transfer-field::-webkit-inner-spin-button {
    display: none;
}


#bank-account-transferTo {
    position: relative;
    width: 35%;
    float: right;
    right: 10%;
    top: 12.5%;
    height: 10%;
    background-color: var(--main-content);
    overflow: hidden;
}

#bank-account-transferTo-field {
    position: relative;
    width: 100%;
    height: 100%;
    color: white;
    font-size: 2vh;
    color: white;
    text-align: center;
    outline: none;
    border: none;
    resize: none;
    background: none;
    overflow: hidden;
}

#bank-account-transferTo-field::-webkit-inner-spin-button {
    display: none;
}

#bank-transfer-submit {
    position: relative;
    width: 80%;
    float: left;
    left: 10%;
    top: 20%;
    height: 10%;
    background-color: var(--main-content);    
    overflow: hidden;
    border: none;
    outline: none;
    color: white;
    font-size: 1.5vh;
    border-style: solid;
    border-width: 2px;
    border-color: var(--main-lighter);
}

#bank-account-namebox {
    position: relative;
    width: 80%;
    left: 10%;
    top: 15%;
    height: 10%;
    background-color: var(--main-content);    
    overflow: hidden;
}

#bank-account-namechoice {
    position: relative;
    vertical-align: middle;
    width: 100%;
    height: 100%;
    color: white;
    font-size: 2vh;
    color: white;
    text-align: center;
    outline: none;
    border: none;
    resize: none;
    background: none;
    overflow: hidden;
}

#bank-account-clients {
    position: relative;
    width: 80%;
    left: 10%;
    top: 20%;
    height: 20%;
    background-color: var(--main-content);
    overflow: hidden;
}

#bank-account-clients-item {
    position: relative;
    display: inline-block;
    margin-top: 1%;
    margin-left: 2.5%;
    background-color: var(--main-bg);
    width: 30%;
    height: 20%;
    overflow: hidden;
}

#bank-account-clients-item-name {
    position: relative;
    color: white;
    float: left;
    font-size: 1.5vh;
    text-align: center;
    margin: none;
    border: none;
    outline: none;
    background: none;
    width: 50%;
    height: 100%;
    overflow: hidden;
}

#bank-account-clients-item-remove {
    color: white;
    background-color: rgba(255, 0, 0, 0.247);
    position: relative;
    margin: none;
    border: none;
    outline: none;
    width: 50%;
    height: 100%;
    overflow: hidden;
}

#bank-account-clients-add {
    position: relative;
    background-color: var(--main-bg);
    width: 100%;
    height: 100%;
    margin: none;
    border: none;
    outline: none;
    color: white;
    text-align: center;
    font-size: 1.5vh;
    overflow: hidden;
}

#bank-account-delete {
    position: absolute;
    right: 2%;
    bottom: 10%;
    width: auto;
    height: 20%;
    color: white;
    font-size: 1.5vh;
    text-align: left;
    border-style: solid;
    outline: none;
    background-color: rgb(102, 8, 8);
    color: white;
    overflow: hidden;
}

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 100px;
    height: 100px;
    animation: spin 2s linear infinite;
}

#bank-transaction-loader {
    position: absolute;
    left: 45%;
    top: 20%;
}
  
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

#bank-account-transactions {
    position: relative;
    top: 20%;
    min-height: 20%;
    height: auto;
    width: 80%;
    left: 10%;
    overflow: hidden;
    margin-bottom: 5%;
}

#bank-account-transaction-container {
    position: relative;
    width: 100%;
    height: 10vh;
    margin-top: 1vh;
    margin-bottom: 1vh;
    background-color: var(--main-content);
    overflow: hidden;
    user-select: none;
}

#bank-transaction-type {
    position: absolute;
    font-family: Arial, sans-serif;
    font-size: 1.5vh;
    color: white;
    left: 2%;
    top: -5%;
}

#bank-transaction-name {
    position: absolute;
    font-family: Arial, sans-serif;
    font-size: 1.5vh;
    color: white;
    left: 2%;
    bottom: -5%;
}

#bank-transaction-deposit {
    position: absolute;
    font-family: Arial, sans-serif;
    font-size: 2.5vh;
    color: rgb(18, 204, 18);
    right: 2%;
    top: -5%;
}

#bank-transaction-withdraw {
    position: absolute;
    font-family: Arial, sans-serif;
    font-size: 2.5vh;
    color: rgb(248, 66, 66);
    right: 2%;
    top: -5%;
}

#bank-transaction-reason {
    position: absolute;
    font-family: Arial, sans-serif;
    font-size: 1.5vh;
    text-align: right;
    color: white;
    right: 2%;
    bottom: -5%;
    max-width: 50%;
    max-height: 30%;
    overflow-y: scroll;
}

#bank-transaction-reason::-webkit-scrollbar {
    display: none;
}

#bank-default {
    position: absolute;
    width: 2.5vw;
    height: 2.5vw;
    top: 5%;
    left: 2%;
    border: none;
    outline: none;
    background-color: #0000;
}

#bank-createaccount {
    position: absolute;
    width: 75%;
    left: 12.5%;
    height: 75%;
    top: 12.5%;
    background-color: var(--main-content);
}

#bank-personal {
    position: absolute;
    left: 30%;
    width: 40%;
    top: 42.25%;
    height: 7.5%;
    border: none;
    outline: none;
    text-align: center;
    background-color:var(--main-bg);
    color: white;
    font-size: 1.5vh;
}

#bank-business {
    position: absolute;
    left: 30%;
    width: 40%;
    top: 50.25%;
    height: 7.5%;
    border: none;
    outline: none;
    text-align: center;
    background-color:var(--main-bg);
    color: white;
    font-size: 1.5vh;
}

#bank-guild {
    position: absolute;
    left: 30%;
    width: 40%;
    top: 30%;
    height: 7.5%;
    border: none;
    outline: none;
    text-align: center;
    background-color:var(--main-bg);
    color: white;
    font-size: 1.5vh;
}

#bank-events {
    position: absolute;
    right: 0%;
    width: 20%;
    height: 100%;
    pointer-events: none;
}

#bank-alert {
    position: relative;
    font-family: Arial, sans-serif;
    right: 0%;
    width: 95%;
    margin: 5%;
    font-size: 1.5vh;
    color: white;
    height: auto;
    pointer-events: none;
    background-color: var(--main-content);
    border-style: solid;
    border-color: var(--main-content);
    border-width: 3px;
    padding: 10px;
    display: none;
}